training - Feature #261

Flutter Training
12/02/2019 10:15 AM - Mahesh Saini

Status: Closed Start date: 12/02/2019
Priority: Normal Due date:

Assignee: Aditi Modi % Done: 100%
Category: Estimated time: 75.00 hours
Target version: Spent time: 60.00 hours
Description

Learn flutter from online resources.

https://www.udemy.com/course/learn-flutter-dart-to-build-ios-android-apps
https://www.udemy.com/course/flutter-bootcamp-with-dart

History

#1 - 12/02/2019 10:28 AM - Aditi Modi

- Status changed from New to In Progress

#2 - 12/03/2019 01:36 PM - Aditi Modi
- % Done changed from 0 to 10
- Estimated time set to 10.00 h

#3 - 12/20/2019 10:42 AM - Aditi Modi
- Estimated time changed from 10.00 h to 37.00 h

#4 - 12/20/2019 01:10 PM - Aditi Modi
- Estimated time changed from 37.00 h to 75.00 h

#5 - 12/20/2019 01:32 PM - Aditi Modi

Basics of Flutter

Creating App

Working with Widgets
Exploring Widgets
Debugging and running App

#6 - 12/20/2019 01:33 PM - Aditi Modi
- % Done changed from 10 to 30

1.String Interpolation

. Date Formatting

. Text Inputting Widget and fetching user Data

. ListView , ListView.builder() ,SingleChildScrollView Widgets for list , scroolbars
. Floating Action Button, Action Buttons on App Bar

ModelBottomSheet

. Styling, Theming with predefined and custom fonts

. Working with Barcharts(Stack Widgets)

. List and Dates functions

0. Flexible,FilledBox , Expanded Widgets

#7 - 12/23/2019 01:47 PM - Aditi Modi
- % Done changed from 30 to 40

List Tile

Circle Avatar

DatePicker

Calculating Size Dynamic-> MediaQuery
Set App in particular Orientation
Different content on Orientation
https://www.udemy.com/course/learn-flutter-dart-to-build-ios-android-apps
https://www.udemy.com/course/flutter-bootcamp-with-dart

Manage inner Content Size dynamically

#8 - 12/24/2019 01:34 PM - Aditi Modi

#Managing Landscape mode
#Conditional based implementation on orientation and device size
#Cupertino Widgets

#9 - 12/30/2019 04:38 AM - Aditi Modi

#Cupertino Styles and Theming

#Making Adaptive Widgets

#Widget Tree vs Element Tree vs Render Tree
#Basics of build()

#cons Constructor and Widgets and widgets properties
#Extracting Widgets

#Using Builder methods

#Parsing Json Object

#10 - 01/01/2020 02:06 PM - Aditi Modi
- % Done changed from 40 to 50

#Inkwell Widget-> use and Ripple Effect Click

1. Navigator
#push and PushNamed Navigator
#passing data to next Screen via Constructor
#Named Routes
#Passing Data via Named Routes
#Extracting arguments passed via NamedRoutes

#11 - 01/21/2020 01:38 PM - Aditi Modi
Web SetUp (OIDDS) API Call out of memory

#12 - 01/31/2020 11:27 AM - Aditi Modi
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#13 - 06/26/2024 05:36 AM - Karishma Tak

- Status changed from Resolved to Closed
